package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.bean.result.FlowTaskMsgResult;
import com.qmth.sop.business.entity.TFCustomFlowEntity;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 自定义流程实体数据 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
public interface TFCustomFlowEntityMapper extends BaseMapper<TFCustomFlowEntity> {

    /**
     * 根据id和用户id获取流程消息信息
     *
     * @param id
     * @param userId
     * @return
     */
    FlowTaskMsgResult getFlowTaskRemindMsgInfo(@Param("id") Long id, @Param("userId") Long userId);
}
